sayren Docs
리뷰

리뷰 상세 조회

GET
/v1/reviews/{reviewId}

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

reviewId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/reviews/string' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "reviewId": "string",    "productId": "string",    "productName": "string",    "orderItemId": "string",    "optionName": "string",    "rating": 1,    "content": "string",    "images": [      "http://example.com"    ],    "writerMaskedName": "string",    "blinded": true,    "reply": {      "content": "string",      "repliedAt": "string",      "updatedAt": "string"    },    "createdAt": "string"  },  "error": null}